org.omg.CORBA.DynAnyPackage

## Class TypeMismatch

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.CORBA.DynAnyPackage.TypeMismatch

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class TypeMismatch
    extends UserException

TypeMismatch is thrown by dynamic any accessor methods when type of the actual contents do not match what is trying to be accessed.

### Constructor Summary

Constructors
Constructor and Description
`TypeMismatch()` Constructs a `TypeMismatch` object.
`TypeMismatch(String reason)` Constructs a `TypeMismatch` object.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TypeMismatch

    public TypeMismatch()

Constructs a `TypeMismatch` object.

#### TypeMismatch

    public TypeMismatch(String reason)

Constructs a `TypeMismatch` object.

Parameters:
  `reason` - a `String` giving more information regarding the exception.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.